astro py:docs

- Index
- Modules

### Navigation

- next »
- « previous |
- Astropy v1.1.1 »
- I/O Registry (`astropy.io.registry`) »
- register_reader

# register_reader

`astropy.io.registry.``register_reader`(data_format, data_class, function, force=False)

  Register a reader function.

  Parameters:

  data_format : str

  > The data type identifier. This is the string that will be used to specify the data type when reading.

  data_class : classobj

  > The class of the object that the reader produces

  function : function

  > The function to read in a data object.

  force : bool

  > Whether to override any existing function if already present.